#define MAX   1000
#include <stdio.h>
#include <string.h>

void RunMain()
{
  int num,den;
  int count,mods[MAX+1];

  do {
	scanf("%i %i\n",&num,&den);
	if (den)
	{
		printf(".");
		memset(mods,0,sizeof(mods));
		mods[0]=0;
		count=0;
		while (!mods[num])
		{
			mods[num]=count;
			num*=10;
			printf("%i",num/den);
			count++;
			num=num%den;
		}
		if (num)
		  printf("\nThe last %i digits repeat forever.\n",count-mods[num]);
		else
		  printf("\nThis expansion terminates.\n");
	}
  } while (num||den);
}

int main(int argc,char *argv[])
{
  int i,CasesN,N1,N2;

  if (argc > 1)
	 if (freopen(argv[1], "r", stdin) == NULL)
	  fprintf(stderr, "error redirecting stdin\n");

  if (argc > 2)
	 if (freopen(argv[2], "w", stdout) == NULL)
	  fprintf(stderr, "error redirecting stdout\n");

  RunMain();

  fclose(stdin);
  fclose(stdout);

  return 0;
}
